Facture.net API (2.0.0)

Download OpenAPI specification:

This is the documentation for the Facture.net API. The API is RESTful and uses JSON as its data format.

All of the following endpoints are targeting the current authenticated organization account and so its own resources.

Check if the organization is authenticated

Authorizations:
(ApiKeyAppSecret)

Responses

Response samples

Content type
application/json
{}

Get all item types

Authorizations:
(ApiKeyAppSecret)

Responses

Get all bills

Authorizations:
(ApiKeyAppSecret)
query Parameters
page
integer
Example: page=1

Page number

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create a new bill for current organization

Authorizations:
(ApiKeyAppSecret)
Request Body schema: application/json
object (BillAttributes)

Responses

Request samples

Content type
application/json
{
  • "bill": {
    }
}

Response samples

Content type
application/json
{
  • "id": 1,
  • "tags": "tag1,tag2",
  • "uid": "F2300001",
  • "price_pretax": 100,
  • "vat_exempt": false,
  • "tax_amount": 18,
  • "reduction": 10,
  • "reduction_unit": "percent",
  • "price": 108,
  • "currency": "eur",
  • "payment_period": "45_days_eom",
  • "payment_mode": "wire_transfer",
  • "moratorium_interest": "none",
  • "header": "Header for the document",
  • "notes": "Conclusion for the document",
  • "footer": "Footer for the document",
  • "internal_notes": "Internal notes for the document",
  • "deposits_amount": 0,
  • "disbursments_amount": 0,
  • "recipient": {
    },
  • "items": [
    ],
  • "created_at": 1694419158,
  • "type": "Bill",
  • "paid_at": 1694419158
}

Get all quotations

Authorizations:
(ApiKeyAppSecret)
query Parameters
page
integer
Example: page=1

Page number

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create a new quotation for current organization

Authorizations:
(ApiKeyAppSecret)
Request Body schema: application/json
object (QuotationAttributes)

Responses

Request samples

Content type
application/json
{
  • "quotation": {
    }
}

Response samples

Content type
application/json
{
  • "id": 1,
  • "tags": "tag1,tag2",
  • "uid": "F2300001",
  • "price_pretax": 100,
  • "vat_exempt": false,
  • "tax_amount": 18,
  • "reduction": 10,
  • "reduction_unit": "percent",
  • "price": 108,
  • "currency": "eur",
  • "payment_period": "45_days_eom",
  • "payment_mode": "wire_transfer",
  • "moratorium_interest": "none",
  • "header": "Header for the document",
  • "notes": "Conclusion for the document",
  • "footer": "Footer for the document",
  • "internal_notes": "Internal notes for the document",
  • "deposits_amount": 0,
  • "disbursments_amount": 0,
  • "recipient": {
    },
  • "items": [
    ],
  • "created_at": 1694419158,
  • "type": "Quotation"
}

Get all clients

Authorizations:
(ApiKeyAppSecret)
query Parameters
page
integer
Example: page=1

Page number

search[email]
string
Example: search[email][email protected]

Search by email

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create a new client for current organization

Authorizations:
(ApiKeyAppSecret)
Request Body schema: application/json
object (ClientAttributes)

Responses

Request samples

Content type
application/json
{
  • "client": {
    }
}

Response samples

Content type
application/json
{
  • "id": 1,
  • "gid": "Z2lkOi8vZmFjdHVyZS9DbGllbnQvMzA3",
  • "tags": "tag1,tag2",
  • "street": "1 rue de la Paix",
  • "additional_address_lines": "Bat. 1",
  • "zip_code": 75001,
  • "city": "Paris",
  • "country": "France",
  • "website": "https://johndoe.fr",
  • "phone": 33612345678,
  • "email": "[email protected]",
  • "language": "fr",
  • "individual": true,
  • "first_name": "John",
  • "last_name": "Doe",
  • "full_name": "John Doe",
  • "role": "CEO",
  • "company_id": 1,
  • "company_name": "John Doe Company",
  • "internal_notes": "Internal notes for the client"
}

Get all companies

Authorizations:
(ApiKeyAppSecret)
query Parameters
page
integer
Example: page=1

Page number

search[name]
string
Example: search[name]=John Doe Company

Search by name

search[email]
string
Example: search[email][email protected]

Search by email

search[company_number]
string
Example: search[company_number]=12345678901

Search by company number

search[vat_number]
string
Example: search[vat_number]=FR12345678901

Search by VAT number

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create a new company for current organization

Authorizations:
(ApiKeyAppSecret)
Request Body schema: application/json
object (CompanyAttributes)

Responses

Request samples

Content type
application/json
{
  • "company": {
    }
}

Response samples

Content type
application/json
{
  • "id": 1,
  • "gid": "Z2lkOi8vZmFjdHVyZS9DbGllbnQvMzA3",
  • "tags": "tag1,tag2",
  • "street": "1 rue de la Paix",
  • "additional_address_lines": "Bat. 1",
  • "zip_code": 75001,
  • "city": "Paris",
  • "country": "France",
  • "website": "https://johndoe.fr",
  • "phone": 33612345678,
  • "email": "[email protected]",
  • "language": "fr",
  • "name": "John Doe Company",
  • "company_number": 12345678901,
  • "activity_number": 12345678901,
  • "vat_number": "FR12345678901",
  • "internal_notes": "Internal notes for the company"
}

Create a new hook for current organization

A hook is a way to notify your application when an event occurs on a resource. For example, you can create a hook to be notified when a bill is created.

Find below which event can occur on which resource :

  • Bills : finalized, paid
  • Quotations : finalized
  • Clients : created, deleted
  • Companies : created, deleted
Authorizations:
(ApiKeyAppSecret)
Request Body schema: application/json
object (HookAttributes)

Responses

Request samples

Content type
application/json
{}

Response samples

Content type
application/json
{}

Delete a hook for current organization

Authorizations:
(ApiKeyAppSecret)
query Parameters
id
required
integer
Example: id=1

Responses